net.i2p.router.web.helpers

## Enum SidebarHelper.NetworkState

- java.lang.Object
- - java.lang.Enum<SidebarHelper.NetworkState>
  - - net.i2p.router.web.helpers.SidebarHelper.NetworkState

- All Implemented Interfaces:
    Serializable, Comparable<SidebarHelper.NetworkState>
  Enclosing class:
    SidebarHelper

      public static enum SidebarHelper.NetworkState
      extends Enum<SidebarHelper.NetworkState>

  Enumeration of network reachability state values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOCKSKEW`
    `ERROR`
    `FIREWALLED`
    `HIDDEN`
    `RUNNING`
    `TESTING`
    `VMCOMM`
    `WARN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SidebarHelper.NetworkState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SidebarHelper.NetworkState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLOCKSKEW

          public static final SidebarHelper.NetworkState CLOCKSKEW

    - #### ERROR

          public static final SidebarHelper.NetworkState ERROR

    - #### FIREWALLED

          public static final SidebarHelper.NetworkState FIREWALLED

    - #### HIDDEN

          public static final SidebarHelper.NetworkState HIDDEN

    - #### RUNNING

          public static final SidebarHelper.NetworkState RUNNING

    - #### TESTING

          public static final SidebarHelper.NetworkState TESTING

    - #### VMCOMM

          public static final SidebarHelper.NetworkState VMCOMM

    - #### WARN

          public static final SidebarHelper.NetworkState WARN

  - ### Method Detail

    - #### valueOf

          public static SidebarHelper.NetworkState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static SidebarHelper.NetworkState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SidebarHelper.NetworkState c : SidebarHelper.NetworkState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared